import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { F as Form, A as AddControlOptions, a as AddControlResponse, U as UpdateControlIdentifiers, b as UpdateControlOptions, c as UpdateControlResponse, D as DeleteControlIdentifiers, d as DeleteControlResponse, e as UpdateMessagesOptions, f as UpdateMessagesResponse, P as PublishDraftResponse, g as FormEventUpdatedEnvelope } from './events-v1-form-forms.universal-Dmp4nCQH.js';
export { cX as ActionEvent, d0 as AddControlOptionsControlOneOf, ao as AddControlRequest, ap as AddControlRequestControlOneOf, au as AdditionalGuestsControl, aL as Address, ar as AddressControl, as as AddressControlLabels, aO as AddressLocation, aM as AddressStreetOneOf, bg as Agenda, s as Alignment, ck as AnchorData, cq as AppEmbedData, cr as AppEmbedDataAppDataOneOf, Z as AppType, cF as AudioData, ca as Background, cb as BackgroundBackgroundOneOf, Q as BackgroundType, cO as Badge, c$ as BaseEventMetadata, cI as BlockquoteData, cs as BookingData, bq as Border, cD as BorderColors, cH as BulletedListData, bp as ButtonData, B as ButtonDataType, b1 as CalendarLinks, cJ as CaptionData, bh as Category, bi as CategoryCounts, cC as CellStyle, ay as CheckboxControl, af as CheckoutFormMessages, bB as CodeBlockData, cy as CollapsibleListData, cl as ColorData, br as Colors, C as ConferenceType, v as Crop, b3 as Dashboard, at as DateControl, ci as Decoration, cj as DecorationDataOneOf, X as DecorationType, aF as DeleteControlRequest, cg as Design, cA as Dimensions, $ as Direction, cP as DiscardDraftRequest, cQ as DiscardDraftResponse, bD as DividerData, cM as DocumentStyle, cR as DomainEvent, cS as DomainEventBodyOneOf, aw as DropdownControl, aE as EmailControl, cw as EmbedData, cT as EntityCreatedEvent, cW as EntityDeletedEvent, cV as EntityUpdatedEvent, aT as Event, ct as EventData, bj as EventDisplaySettings, E as EventStatus, i as EventType, aI as EventUpdated, b0 as ExternalEvent, b7 as Feed, bE as FileData, bF as FileSource, bG as FileSourceDataOneOf, co as FontSizeData, Y as FontType, aj as FormInputControlAdded, al as FormInputControlDeleted, ak as FormInputControlUpdated, a9 as FormMessages, bT as GIF, bS as GIFData, G as GIFType, bI as GalleryData, bO as GalleryOptions, am as GetFormRequest, an as GetFormResponse, c9 as Gradient, b6 as GuestListConfig, bV as HTMLData, bW as HTMLDataDataOneOf, bU as HeadingData, bw as Height, cZ as IdentificationData, c_ as IdentificationDataIdOneOf, bK as Image, bX as ImageData, bZ as ImageDataStyles, _ as InitialExpandedItems, a5 as Input, a4 as InputControl, I as InputControlType, bM as Item, bN as ItemDataOneOf, bQ as ItemStyle, bd as Keyword, a8 as Label, bk as LabellingSettings, av as Labels, bP as Layout, cK as LayoutCellData, u as LayoutType, q as LineStyle, by as Link, cm as LinkData, bz as LinkDataOneOf, b_ as LinkPreviewData, b$ as LinkPreviewDataStyles, cE as ListValue, aJ as Location, L as LocationType, aK as MapCoordinates, c0 as MapData, c1 as MapSettings, M as MapType, bJ as Media, cn as MentionData, cY as MessageEnvelope, cL as Metadata, a$ as Money, aC as NameControl, aD as NameControlLabels, ae as Negative, ac as NegativeResponseConfirmation, bm as Node, bn as NodeDataOneOf, bo as NodeStyle, N as NodeType, a1 as NullValue, aS as Occurrence, cx as Oembed, b8 as OnlineConferencing, b9 as OnlineConferencingConfig, ba as OnlineConferencingSession, c5 as Option, cd as OptionDesign, c8 as OptionLayout, a6 as OptionSelection, a7 as OptionSelectionSelectedOptionOneOf, cG as OrderedListData, O as Orientation, bH as PDFSettings, c2 as ParagraphData, c4 as Permissions, aq as PhoneControl, cv as PlaybackOptions, bs as PluginContainerData, n as PluginContainerDataAlignment, bt as PluginContainerDataWidth, bu as PluginContainerDataWidthDataOneOf, ce as Poll, c3 as PollData, cf as PollDataLayout, cc as PollDesign, c7 as PollLayout, K as PollLayoutDirection, J as PollLayoutType, c6 as PollSettings, y as Position, ad as Positive, ab as PositiveResponseConfirmation, aH as PublishDraftRequest, ax as RadioButtonControl, aR as Recurrences, aV as Registration, ah as RegistrationClosedMessages, j as RegistrationStatus, bA as Rel, R as RequestedFields, ag as ResponseConfirmation, cU as RestoreInfo, bl as RichContent, aW as RsvpCollection, aX as RsvpCollectionConfig, aa as RsvpFormMessages, k as RsvpStatusOptions, b4 as RsvpSummary, aQ as ScheduleConfig, aU as Scheduling, bc as SeoSchema, bb as SeoSettings, bf as Settings, b2 as SiteUrl, x as Source, bv as Spoiler, cp as SpoilerData, m as State, h as Status, aN as StreetAddress, bx as Styles, bY as StylesBorder, aP as Subdivision, S as SubdivisionType, cB as TableCellData, cz as TableData, be as Tag, o as Target, a_ as TaxConfig, T as TaxType, p as TextAlignment, az as TextControl, ch as TextData, cN as TextNodeStyle, bC as TextStyle, bR as Thumbnails, w as ThumbnailsAlignment, aY as Ticketing, aZ as TicketingConfig, b5 as TicketingSummary, ai as TicketsUnavailableMessages, a2 as Type, d1 as UpdateControlIdentifiersControlOneOf, d2 as UpdateControlOptionsControlOneOf, aA as UpdateControlRequest, aB as UpdateControlRequestControlOneOf, aG as UpdateMessagesRequest, V as ValueType, a0 as VerticalAlignment, bL as Video, cu as VideoData, t as ViewMode, z as ViewRole, l as VisitorType, H as VoteRole, a3 as WebhookIdentityType, r as Width, W as WidthType } from './events-v1-form-forms.universal-Dmp4nCQH.js';

declare function getForm$1(httpClient: HttpClient): GetFormSignature;
interface GetFormSignature {
    /**
     * Retrieves an event registration form.
     *
     * Retrieves both the draft and published versions.
     * @param - Event ID to which the form belongs.
     * @param - Optional fields.
     * @returns Currently published event form.
     * Published form is visible to site visitors.
     */
    (eventId: string): Promise<Form>;
}
declare function addControl$1(httpClient: HttpClient): AddControlSignature;
interface AddControlSignature {
    /**
     * Adds an input control to the draft form.
     * @param - Event ID to which the form belongs.
     * @param - Optional fields.
     */
    (eventId: string, options: AddControlOptions): Promise<AddControlResponse>;
}
declare function updateControl$1(httpClient: HttpClient): UpdateControlSignature;
interface UpdateControlSignature {
    /**
     * Updates an existing input control in the draft form.
     * @param - Optional fields.
     * @param - Identifies what form to update.
     */
    (identifiers: UpdateControlIdentifiers, options?: UpdateControlOptions | undefined): Promise<UpdateControlResponse>;
}
declare function deleteControl$1(httpClient: HttpClient): DeleteControlSignature;
interface DeleteControlSignature {
    /**
     * Deletes an input control from the draft form.
     * @param - Identifies what form to delete.
     */
    (identifiers: DeleteControlIdentifiers): Promise<DeleteControlResponse>;
}
declare function updateMessages$1(httpClient: HttpClient): UpdateMessagesSignature;
interface UpdateMessagesSignature {
    /**
     * Updates a set of defined form messages that are displayed to a site visitor before, during, and after the registration flow.
     * Includes the configuration of form titles, response labels, "thank you" messages, and call-to-action texts.
     * @param - Event ID to which the form belongs.
     * @param - Optional fields.
     */
    (eventId: string, options?: UpdateMessagesOptions | undefined): Promise<UpdateMessagesResponse>;
}
declare function publishDraft$1(httpClient: HttpClient): PublishDraftSignature;
interface PublishDraftSignature {
    /**
     * Publishes the draft form.
     * @param - Event ID to which the form belongs.
     */
    (eventId: string): Promise<PublishDraftResponse>;
}
declare function discardDraft$1(httpClient: HttpClient): DiscardDraftSignature;
interface DiscardDraftSignature {
    /**
     * Clears all changes to the draft form.
     * @param - Event ID to which the form belongs.
     */
    (eventId: string): Promise<void>;
}
declare const onFormEventUpdated$1: EventDefinition<FormEventUpdatedEnvelope, "wix.events.events.EventUpdated">;

declare const getForm: MaybeContext<BuildRESTFunction<typeof getForm$1> & typeof getForm$1>;
declare const addControl: MaybeContext<BuildRESTFunction<typeof addControl$1> & typeof addControl$1>;
declare const updateControl: MaybeContext<BuildRESTFunction<typeof updateControl$1> & typeof updateControl$1>;
declare const deleteControl: MaybeContext<BuildRESTFunction<typeof deleteControl$1> & typeof deleteControl$1>;
declare const updateMessages: MaybeContext<BuildRESTFunction<typeof updateMessages$1> & typeof updateMessages$1>;
declare const publishDraft: MaybeContext<BuildRESTFunction<typeof publishDraft$1> & typeof publishDraft$1>;
declare const discardDraft: MaybeContext<BuildRESTFunction<typeof discardDraft$1> & typeof discardDraft$1>;
/**
 * Triggered when a form is updated or published.
 */
declare const onFormEventUpdated: BuildEventDefinition<typeof onFormEventUpdated$1>;

export { AddControlOptions, AddControlResponse, DeleteControlIdentifiers, DeleteControlResponse, Form, FormEventUpdatedEnvelope, PublishDraftResponse, UpdateControlIdentifiers, UpdateControlOptions, UpdateControlResponse, UpdateMessagesOptions, UpdateMessagesResponse, addControl, deleteControl, discardDraft, getForm, onFormEventUpdated, publishDraft, updateControl, updateMessages };
